---
title: PermissionStatus
slug: Web/API/PermissionStatus
tags:
  - API
  - Experimental
  - Interface
  - PermissionStatus
  - Permissions
  - Permissions API
  - Reference
---
<div>{{APIRef("Permissions API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>PermissionStatus</code></strong> interface of the <a href="Permissions_API">Permissions API</a> provides the state of an object and an event handler for monitoring changes to said state.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("PermissionStatus.state")}} {{readonlyinline}}</dt>
 <dd>Returns the state of a requested permission; one of <code>'granted'</code>, <code>'denied'</code>, or <code>'prompt'</code>.</dd>
 <dt>{{domxref("PermissionStatus.status")}}{{readonlyinline}} {{deprecated_inline()}}</dt>
 <dd>Returns the state of a requested permission; one of <code>'granted'</code>, <code>'denied'</code>, or <code>'prompt'</code>. Later versions of the specification replace this with {{domxref("PermissionStatus.state")}}.</dd>
</dl>

<h3 id="Event_Handler">Event Handler</h3>

<dl>
 <dt>{{domxref("PermissionStatus.onchange")}}</dt>
 <dd>An event called whenever <code>PermissionStatus.status</code> changes.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">navigator.permissions.query({name:'geolocation'}).then(function(permissionStatus) {
  console.log('geolocation permission status is ', permissionStatus.state);
  permissionStatus.onchange = function() {
    console.log('geolocation permission status has changed to ', this.state);
  };
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Permissions API', '#status-of-a-permission', 'PermissionStatus')}}</td>
   <td>{{Spec2('Permissions API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PermissionStatus")}}</p>
